#ifndef MBED_ISP___USER_SETTINGS__
#define MBED_ISP___USER_SETTINGS__


#define     SOURCE_FILE         "/local/bin"

//  "ISP_BAUD_RATE" is baud rate for ISP operation
#define     ISP_BAUD_RATE       115200


//  "TARGET_OPERATION_BAUD_RATE" is baud rate for USB-serial bridge operation after 
//  ISP completion. 
//  if the target application uses serial(UART) and you use the bridge feature, 
//  please set this value correctly. 
#define     TARGET_OPERATION_BAUD_RATE  9600


//  enable "AUTO_PROGRAM_START" to let target starts the program after flash writing complete
#define     AUTO_PROGRAM_START


//  disabling "ENABLE_WRITING" can be used for "verification only" operation.
#define     ENABLE_WRITING


//  enable "ENABLE_VERIFYING" to let perform verification by comparing "bin" file and flash read data.
#define     ENABLE_VERIFYING


//  enable "CHECK_CRP_CODE" to check the CRP (Code Read Protection). The ISP writing will be ignored if "bin" file has CRP code. 
#define     CHECK_CRP_CODE


#endif  //  MBED_ISP___USER_SETTINGS__

